MatchFilter.MatchParametersMF (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.geo
Class MatchFilter.MatchParametersMF

    java.lang.Object
      com.bbn.openmap.geo.MatchFilter.MatchParametersMF

All Implemented Interfaces:
  MatchFilter

Enclosing interface:
  MatchFilter

    public static class MatchFilter.MatchParametersMF

extends java.lang.Object
implements MatchFilter

Nested Class Summary

Nested classes/interfaces inherited from interface com.bbn.openmap.geo.MatchFilter
`MatchFilter.ExactMF, MatchFilter.MatchParametersMF`

Field Summary
`protected double` | `hrange`

Constructor Summary
`MatchFilter.MatchParametersMF(double hrange, int[] vrange, long[] trange)`
`MatchFilter.MatchParametersMF(MatchParameters params)`

Method Summary
`double` | `getHRange()` the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.
`boolean` | `preConsider(GeoExtent seg, GeoExtent region)` do inexpensive comparisons to determine if the two elements might intersect.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### hrange

    protected double hrange

Constructor Detail

### MatchFilter.MatchParametersMF

    public MatchFilter.MatchParametersMF(MatchParameters params)

### MatchFilter.MatchParametersMF

    public MatchFilter.MatchParametersMF(double hrange,
                                         int[] vrange,
                                         long[] trange)

Method Detail

### getHRange

    public double getHRange()

  Description copied from interface: `MatchFilter`
  the distance (in radians) to consider two objects to be interacting, that is, intersecting for our purposes.

  Specified by:
    `getHRange` in interface `MatchFilter`
  Returns:
    the maximum distance to consider touching. Must be non-negative.

### preConsider

    public boolean preConsider(GeoExtent seg,
                               GeoExtent region)

  Description copied from interface: `MatchFilter`
  do inexpensive comparisons to determine if the two elements might intersect.

  Specified by:
    `preConsider` in interface `MatchFilter`
  Returns:
    true iff further checks might yield intersection.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details